| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxArchiveNotifier Class Referenceabstract
Class List by Category » Archive support Class List by Category » | Streams

`#include <wx/archive.h>`

## Detailed Description

If you need to know when a wxArchiveInputStream updates a wxArchiveEntry object, you can create a notifier by deriving from this abstract base class, overriding wxArchiveNotifier::OnEntryUpdated.

An instance of your notifier class can then be assigned to the wxArchiveEntry object using wxArchiveEntry::SetNotifier. Your OnEntryUpdated() method will then be invoked whenever the input stream updates the entry.

Setting a notifier is not usually necessary. It is used to handle certain cases when modifying an archive in a pipeline (i.e. between non-seekable streams). See Archives on Non-Seekable Streams.

##

Library: wxBase
Category: Archive support, Streams

See also
  Archives on Non-Seekable Streams, wxArchiveEntry, wxArchiveInputStream, wxArchiveOutputStream

## Public Member Functions

virtual void | OnEntryUpdated (wxArchiveEntry &entry)=0
| This method must be overridden in your derived class. More...

## Member Function Documentation

virtual void wxArchiveNotifier::OnEntryUpdated | ( | wxArchiveEntry & | entry | ) |

pure virtual

This method must be overridden in your derived class.